PropertyVetoException (Java Platform SE 8 )
Keywords: java.beans.PropertyVetoException class
Date: 2026-04-17

java.beans

## Class PropertyVetoException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.beans.PropertyVetoException

- All Implemented Interfaces:
    Serializable

      public class PropertyVetoException
      extends Exception

  A PropertyVetoException is thrown when a proposed change to a property represents an unacceptable value.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyVetoException(String mess, PropertyChangeEvent evt)` Constructs a `PropertyVetoException` with a detailed message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyChangeEvent` | `getPropertyChangeEvent()` Gets the vetoed `PropertyChangeEvent`.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyVetoException

          public PropertyVetoException(String mess,
                                       PropertyChangeEvent evt)

      Constructs a `PropertyVetoException` with a detailed message.
      Parameters:
        `mess` - Descriptive message
        `evt` - A PropertyChangeEvent describing the vetoed change.

  - ### Method Detail

    - #### getPropertyChangeEvent

          public PropertyChangeEvent getPropertyChangeEvent()

      Gets the vetoed `PropertyChangeEvent`.
      Returns:
        A PropertyChangeEvent describing the vetoed change.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.